Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.byTask.feeds
Class DirDocMaker.Iterator

    java.lang.Object
      org.apache.lucene.benchmark.byTask.feeds.DirDocMaker.Iterator

All Implemented Interfaces:
  Iterator

Enclosing class:
  DirDocMaker

    public static class DirDocMaker.Iterator

extends Object
implements Iterator

Constructor Summary
`DirDocMaker.Iterator(File f)`

Method Summary
`int` | `getCount()`
`boolean` | `hasNext()`
`Object` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirDocMaker.Iterator

    public DirDocMaker.Iterator(File f)

Method Detail

### getCount

    public int getCount()

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.